com.holonplatform.core.datastore.beans

## Interface BeanBulkUpdateOperation<B,O extends BeanBulkUpdateOperation<B,O>>

- Type Parameters:
    `B` - Bean type
    `O` - Actual operation type
  All Superinterfaces:
    BeanDatastoreOperation<O,BulkUpdateOperationConfiguration>, BeanDatastoreOperationBuilder<O>, ExpressionResolver.ExpressionResolverBuilder<O>, QueryFilter.QueryFilterSupport<O>
  All Known Subinterfaces:
    BeanBulkUpdate<T>

      public interface BeanBulkUpdateOperation<B,O extends BeanBulkUpdateOperation<B,O>>
      extends BeanDatastoreOperation<O,BulkUpdateOperationConfiguration>, QueryFilter.QueryFilterSupport<O>

  Bulk `UPDATE` bean `DatastoreOperation` configuration.
  Since:
    5.1.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <T> O` | `set(Path<T> path, T value)` Set given `path` to given constant value.
    `<T> O` | `set(Path<T> path, TypedExpression<? super T> expression)` Set given `path` to given `expression` value.
    `O` | `set(String propertyName, Object value)` Set the bean property with given `propertyName` to given value.
    `default <P> O` | `setNull(Path<P> path)` Set the given `Path` to `null` value.
    `O` | `setNull(String propertyName)` Set the bean property with given `propertyName` to `null` value.

    - ### Methods inherited from interface com.holonplatform.core.datastore.beans.BeanDatastoreOperation

      `getConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.datastore.beans.BeanDatastoreOperationBuilder

      `withExpressionResolvers, withWriteOption, withWriteOptions, withWriteOptions`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFilter.QueryFilterSupport

      `filter, filter, filter`

- - ### Method Detail

    - #### set

          O set(String propertyName,
                Object value)

      Set the bean property with given `propertyName` to given value.

      The bean property name must be present in bean property set and the value type must be compatible with property type.

      Parameters:
        `propertyName` - Bean property name (not null)
        `value` - The value to set
      Returns:
        this
      Throws:
        `TypeMismatchException` - If given value is not compatible with property value
        `Property.PropertyNotFoundException` - If given property name is not part of the bean property set

    - #### setNull

          O setNull(String propertyName)

      Set the bean property with given `propertyName` to `null` value.

      The bean property name must be present in bean property set.

      Parameters:
        `propertyName` - Bean property name (not null)
      Returns:
        this
      Throws:
        `Property.PropertyNotFoundException` - If given property name is not part of the bean property set

    - #### set

          <T> O set(Path<T> path,
                    TypedExpression<? super T> expression)

      Set given `path` to given `expression` value.
      Type Parameters:
        `T` - Path type
      Parameters:
        `path` - Path to be updated (not null)
        `expression` - Expression value to set (not null)
      Returns:
        this
      See Also:
        `setNull(Path)`

    - #### set

          default <T> O set(Path<T> path,
                            T value)

      Set given `path` to given constant value.
      Type Parameters:
        `T` - Path type
      Parameters:
        `path` - Path to be updated (not null)
        `value` - value to set
      Returns:
        this
      See Also:
        `setNull(Path)`

    - #### setNull

          default <P> O setNull(Path<P> path)

      Set the given `Path` to `null` value.
      Type Parameters:
        `P` - Path type
      Parameters:
        `path` - Path to be updated (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.